com.saxonica.bytecode

## Class FixedElementCompiler

- java.lang.Object
- - com.saxonica.bytecode.ExpressionCompiler
  - - com.saxonica.bytecode.ToIteratorCompiler
    - - com.saxonica.bytecode.ToPushCompiler
      - - com.saxonica.bytecode.ElementCreatorCompiler
        - - com.saxonica.bytecode.FixedElementCompiler

-     public class FixedElementCompiler
      extends ElementCreatorCompiler

  Generate bytecode for a fixed element constructor (or XSLT literal result element)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedElementCompiler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `identifyExpression(CompilerService compiler, Expression expression, String evalMode)`
    `protected void` | `outputNamespaceNodes(CompilerService compiler, Expression expression)` Callback for subclasses to implement: generate code to output namespace nodes
    `protected void` | `pushNodeName(CompilerService compiler, Expression expression)` Callback from the superclass ElementCreatorCompiler to get the nameCode.

    - ### Methods inherited from class com.saxonica.bytecode.ElementCreatorCompiler

      `addTypeStripper, compileToPush`

    - ### Methods inherited from class com.saxonica.bytecode.ToPushCompiler

      `compileToItem, compileToIterator`

    - ### Methods inherited from class com.saxonica.bytecode.ToIteratorCompiler

      `compileToBoolean`

    - ### Methods inherited from class com.saxonica.bytecode.ExpressionCompiler

      `allocateStatic, compileItemFromInt, compileItemFromString, compileToLoop, compileToPrimitive, generateMethod, handleEmptyStringResult, throwXPathException, throwXPathException, unboxItem, verify, visitAnnotation, visitLineNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedElementCompiler

          public FixedElementCompiler()

  - ### Method Detail

    - #### pushNodeName

          protected void pushNodeName(CompilerService compiler,
                          Expression expression)
                               throws CannotCompileException

      Callback from the superclass ElementCreatorCompiler to get the nameCode. Leaves the name code for the element name on the stack for the element name
      Specified by:
        `pushNodeName` in class `ElementCreatorCompiler`
      Parameters:
        `compiler` - the compiler service
        `expression` - the expression to be compiled
      Throws:
        `CannotCompileException`

    - #### outputNamespaceNodes

          protected void outputNamespaceNodes(CompilerService compiler,
                                  Expression expression)

      Description copied from class: `ElementCreatorCompiler`
      Callback for subclasses to implement: generate code to output namespace nodes
      Overrides:
        `outputNamespaceNodes` in class `ElementCreatorCompiler`

    - #### identifyExpression

          public void identifyExpression(CompilerService compiler,
                                Expression expression,
                                String evalMode)

      Specified by:
        `identifyExpression` in class `ElementCreatorCompiler`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.